<div class="page">
    <div class="mat-card-header">
        <div class="mat-card-header-entry"><h1>Databases</h1></div>
    </div>

    <table
        mat-table
        [dataSource]="dataSource"
        matSort
        multiTemplateDataRows
        class="mat-elevation-z8"
    >
        <ng-container matColumnDef="title">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Title</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.title }}
            </td>
        </ng-container>

        <ng-container matColumnDef="description">
            <th mat-header-cell *matHeaderCellDef style="max-width: 20%">Description</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.description }}
            </td>
        </ng-container>

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef>Name</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.name }}
            </td>
        </ng-container>

        <ng-container matColumnDef="address">
            <th mat-header-cell *matHeaderCellDef>Address</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.address }}
            </td>
        </ng-container>

        <ng-container matColumnDef="port">
            <th mat-header-cell *matHeaderCellDef>Port</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.port }}
            </td>
        </ng-container>

        <ng-container matColumnDef="username">
            <th mat-header-cell *matHeaderCellDef>Username</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.username }}
            </td>
        </ng-container>

        <ng-container matColumnDef="password">
            <th mat-header-cell *matHeaderCellDef>Password</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.password }}
            </td>
        </ng-container>

        <ng-container matColumnDef="retention_policy">
            <th mat-header-cell *matHeaderCellDef>Retention policy</th>
            <td mat-cell *matCellDef="let element">
                {{ element.database.retention_policy }}
            </td>
        </ng-container>

        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef>Status</th>
            <td mat-cell *matCellDef="let element">
                {{ element.status.status }}
            </td>
        </ng-container>

        <ng-container matColumnDef="online">
            <th mat-header-cell *matHeaderCellDef>Online</th>
            <td mat-cell *matCellDef="let element">
                <span
                    [ngStyle]="
                        element.status.online
                            ? { color: 'green' }
                            : { color: 'red' }
                    "
                >
                </span>
                <span
                    class="circle"
                    [ngStyle]="
                        element.status.online
                            ? { 'background-color': 'green' }
                            : { 'background-color': 'red' }
                    "
                >
                </span>
            </td>
        </ng-container>

        <ng-container matColumnDef="edit">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let i = dataIndex; let element">
                <div class="edit">
                    <button mat-icon-button (click)="delete(i)">
                        <mat-icon matTooltip="Delete this database">delete</mat-icon>
                    </button>
                    <button mat-icon-button (click)="edit(i)">
                        <mat-icon matTooltip="Edit database settings">edit</mat-icon>
                    </button>
                    <a mat-icon-button href="http://{{ element.database.address }}:8888" target="_blank">
                        <mat-icon svgIcon="assets:chronograf" matTooltip="Chronograf"></mat-icon>
                    </a>
                </div>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="tableColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: tableColumns;"></tr>
    </table>
</div>
